Subject: Re: [secdir] Secdir last call review of draft-ietf-lamps-rfc7030est-clarify-07

From: Benjamin Kaduk <[email-masked]>
Date: Thu, 13 Aug 2020 11:15:13 -0700

Thanks for the review, Catherine (and thanks Michael for the updates).
I entered a No OBjection ballot.

-Ben

On Mon, Jul 06, 2020 at 07:24:16AM -0700, Catherine Meadows via Datatracker wrote:
> Reviewer: Catherine Meadows
> Review result: Has Nits
> 
> I have reviewed this document as part of the security directorate's ongoing
> effort to review all IETF documents being processed by the IESG.  Document
> editors and WG chairs should treat these comments just like any other comments.
> 
> This draft sets forth changes to the syntax of Enrollment over Secure Transport
> (EST) (RFC7030) to fix some errors and ambiguities that resulted in
> interoperability issues.  RFC7030 also includes a form of header that has been
> deprecated in other RFC’s.  This document thus deprecates that header as well.
> 
> Since the only changes to the draft makes to the syntax are either to clarify
> ambiguities in the descriptions and to deprecate syntax that has already
> deprecated by other RFC’s, it presents no new security or privacy concerns. 
> However, I found a few typos, etc. that I am listing below.  They are all of
> the sort that would be missed by a spell checker.   I don’t know if I got all
> of them, so I’d suggest another round or proofreading.
> 
> I consider this document Ready with Nits.
> 
> Abstract
> 
> some errata that was reported
> 
> should be
> 
> some errata that were reported
> 
> This document fixes some
>    syntactical errors in ASN.1 that was presented
> 
> assuming that the word “was” refers to the errors, that should be
> 
> This document fixes some
>    syntactical errors in ASN.1 that were presented
> 
> In the Privacy Considerations Section
> 
> This document does not disclose any additional identifies
> 
> should be
> 
> This document does not disclose any additional identities
> 
>